%xlswrite ячейки без указания листа и ячейки
%xlsopen->oct2xls->xlsclose

clear; clc; close all; %help;

%system('mkdir 1 2 3 4 5 6 7 8 9');

%cell1={'One, two, three, 4'}
cell1={'Анализ : ddmmyyyy_hhmmss'};
cell1(end+1,1)={1};
cell1(end,2)={2};
cell1(end,3)={3};

cell1(end+1,1)={'name'};
cell1(end,2)={'min'};
cell1(end,3)={'max'};

filename=[mfilename('fullpath')];
filename=[filename(1:end-3),'.xlsx']
if exist(filename)==2
  delete(filename);
end


xls = xlsopen (filename, 1, "oct");
xls = oct2xls (cell1, xls, 1, "", struct ("convert_utf", 1));
%xls = oct2xls (cell1, xls, 1, "");
xls = xlsclose (xls); 


% Today I use this construction: 9 rows:
%xlswrite(filename,cell1,'sh1','A1');

%t=1; %'oct' не всегда выводится с 1 раза
%while (exist(filename)~=2)&&t<=1 %пока не сущ и к-во поп<=3
%  xlswrite(filename,cell1,[],[],'oct');
%  t=t+1;
%end

%if (exist(filename)~=2)
%  fprintf('Please repeat script\n');
%end





% not need for current task
%[n,t,c]=xlsread('o076xls.xls')